View Issue Details

Category
SSPBT:本体(SSP)
SeveritytrivialReproducibilityN/A 
Status closed 
Summary0000179: Some methods of compressing the size of install package
Description

Hey, I know this may sound silly, but I'd like to tell you I just found out that if We use https://pnggauntlet.com/ We can compress the size of tens of KB on the image of SSP
and If we cancel the upx of DLL and exe in package, we can make the zip smaller than before

Activities

ponapalt

2021-06-17 04:58

administrator   ~0000395

Thank you for your good opinion. I'll unpack UPX compression.
PNGGauntlet execution time is too long and I think it's not worth tens of KB size reduction.

guest

2021-06-17 17:13

reporter   ~0000400

I'm just saying that we can use pnggauntlet and unzip upx to handle the SSP installation package instead of using it to build NAR
I don't know if you understand me wrong,,,

ponapalt

2021-06-20 12:01

administrator   ~0000406

I've re-uploaded ssp_2_5_06f.zip / .exe
This package includes re-compressed PNG files and UPX-unpacked DLLs.

ponapalt

2021-06-20 12:01

administrator   ~0000407

(state changed)

ponapalt

2021-07-02 16:27

administrator   ~0000457

closed

Issue History

Date Modified Username Field Change
2021-06-16 23:26 guest New Issue
2021-06-17 04:58 ponapalt Assigned To => ponapalt
2021-06-17 04:58 ponapalt Status new => feedback
2021-06-17 04:58 ponapalt Note Added: 0000395
2021-06-17 17:13 guest Note Added: 0000400
2021-06-17 17:13 guest Status feedback => assigned
2021-06-20 12:01 ponapalt Note Added: 0000406
2021-06-20 12:01 ponapalt Status assigned => acknowledged
2021-06-20 12:01 ponapalt Note Added: 0000407
2021-07-02 16:27 ponapalt Status acknowledged => closed
2021-07-02 16:27 ponapalt Resolution open => fixed
2021-07-02 16:27 ponapalt Note Added: 0000457